Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.

Trigger a Process Rule for an sObject

Triggers an active workflow rule regardless of the evaluation criteria.

URI: /services/data/vXX.X/process/rules/sObjectName/workflowRuleId

Available since release: 30.0

Formats: JSON, XML

HTTP methods: POST

Authentication: Authorization: Bearer token

Request parameters: None required

Request body: None required

Example usage

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/process/rules/Account/01XXX000000XxxXXX -H "Authorization: Bearer token"

Example JSON response body

1{
2  "errors" : null,
3  "success" : true
4}